### Hierarchy

- DataUrl

## Index

### Constructors

- constructor

### Properties

- _data
- _mimeType
- ENCODING_TOKEN
- PROTO_TOKEN

### Accessors

- data
- mimeType

### Methods

- createDataUrl
- getEncodedData
- getMimeType

## Constructors

### constructor

- new DataUrl(dataUrl: string): DataUrl

- - Defined in util/DataUrl.ts:29

  #### Parameters

  - ##### dataUrl: string

  #### Returns DataUrl

## Properties

### Private _data

_data: string

- Defined in util/DataUrl.ts:10

### Private _mimeType

_mimeType: string

- Defined in util/DataUrl.ts:9

### Static Private ENCODING_TOKEN

ENCODING_TOKEN: string = ";base64,"

- Defined in util/DataUrl.ts:7

### Static Private PROTO_TOKEN

PROTO_TOKEN: string = "data:"

- Defined in util/DataUrl.ts:6

## Accessors

### data

- get data(): string

- - Defined in util/DataUrl.ts:40

  #### Returns string

### mimeType

- get mimeType(): string

- - Defined in util/DataUrl.ts:36

  #### Returns string

## Methods

### Static createDataUrl

- createDataUrl(mimeType: string, encodedData: string): string

- - Defined in util/DataUrl.ts:12

  #### Parameters

  - ##### mimeType: string

  - ##### encodedData: string

  #### Returns string

### Static getEncodedData

- getEncodedData(dataUrl: string): string

- - Defined in util/DataUrl.ts:24

  #### Parameters

  - ##### dataUrl: string

  #### Returns string

### Static getMimeType

- getMimeType(dataUrl: string): string

- - Defined in util/DataUrl.ts:16

  #### Parameters

  - ##### dataUrl: string

  #### Returns string

Generated using TypeDoc